CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes
csl::ShoeBox Class Reference

`#include <ShoeBox.h>`

List of all members.

## Public Member Functions
| ShoeBox ()
| ~ShoeBox ()
void | setSourceLocation (float x, float y, float z)
void | setListenerLocation (float x, float y, float z)
void | setRoomSize (float x, float y, float z)
CPoint | roomSize ()
CPoint | source ()
CPoint | listener ()
void | setWallMaterialsDamp (int dampX, int dampY, int dampZ)
void | setDuration (int ms)
void | getReflections (float *ref, float *gains, float *angles, int num)
void | calculateReflections ()
void | findNumReflectionsFromTime ()

## Private Member Functions
void | shellSort ()
bool | checkPositionValues ()

## Private Attributes
CPoint | mRoomSize
CPoint | mSource
CPoint | mListenerPosition
float | mDampX
float | mDampY
float | mDampZ
float * | mReflectionsArray
float * | mGainsArray
float * | mAnglesArray
int | mDuration
int | mNumReflections
int | mMaxBouncesX
int | mMaxBouncesY
int | mMaxBouncesZ

## Detailed Description

Definition at line 28 of file ShoeBox.h.

## Constructor & Destructor Documentation

ShoeBox::ShoeBox | ( |  | ) |

Definition at line 31 of file ShoeBox.cpp.

References kBrockCoefficient, mDampX, mDampY, mDampZ, and mDuration.

ShoeBox::~ShoeBox | ( |  | ) |

Definition at line 42 of file ShoeBox.cpp.

## Member Function Documentation

void ShoeBox::setSourceLocation | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

Definition at line 103 of file ShoeBox.cpp.

References checkPositionValues(), csl::logMsg(), mSource, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

void ShoeBox::setListenerLocation | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

Definition at line 114 of file ShoeBox.cpp.

References checkPositionValues(), mListenerPosition, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

void ShoeBox::setRoomSize | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

Definition at line 123 of file ShoeBox.cpp.

References checkPositionValues(), mRoomSize, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint csl::ShoeBox::roomSize | ( |  | ) |
| inline

Definition at line 37 of file ShoeBox.h.

References mRoomSize.

CPoint csl::ShoeBox::source | ( |  | ) |
| inline

Definition at line 38 of file ShoeBox.h.

References mSource.

CPoint csl::ShoeBox::listener | ( |  | ) |
| inline

Definition at line 39 of file ShoeBox.h.

References mListenerPosition.

void ShoeBox::setWallMaterialsDamp | ( | int | dampX,
|  | int | dampY,
|  | int | dampZ
| ) |  |

Definition at line 47 of file ShoeBox.cpp.

References csl::kBrick, kBrockCoefficient, csl::kConcrete, kConcreteCoefficient, csl::kGlass, kGlassCoefficient, csl::kMarble, kMarbleCoefficient, csl::kWood, kWoodCoefficient, mDampX, mDampY, and mDampZ.

void ShoeBox::setDuration | ( | int | ms | ) |

Definition at line 179 of file ShoeBox.cpp.

References mDuration.

void ShoeBox::getReflections | ( | float * | ref,
|  | float * | gains,
|  | float * | angles,
|  | int | num
| ) |  |

Definition at line 357 of file ShoeBox.cpp.

References mAnglesArray, memcpy(), mGainsArray, and mReflectionsArray.

void ShoeBox::calculateReflections | ( |  | ) |

Definition at line 211 of file ShoeBox.cpp.

References findNumReflectionsFromTime(), csl::logMsg(), mAnglesArray, mDampX, mDampY, mDampZ, mGainsArray, mListenerPosition, mMaxBouncesX, mMaxBouncesY, mMaxBouncesZ, mNumReflections, mReflectionsArray, mRoomSize, mSource, shellSort(), SPEED_OF_SOUND, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

void ShoeBox::findNumReflectionsFromTime | ( |  | ) |

Definition at line 182 of file ShoeBox.cpp.

References csl::logMsg(), mAnglesArray, mDuration, mGainsArray, mMaxBouncesX, mMaxBouncesY, mMaxBouncesZ, mNumReflections, mReflectionsArray, mRoomSize, SPEED_OF_SOUND, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

Referenced by calculateReflections().

void ShoeBox::shellSort | ( |  | ) |
| private

Definition at line 144 of file ShoeBox.cpp.

References mAnglesArray, mGainsArray, mNumReflections, and mReflectionsArray.

Referenced by calculateReflections().

bool ShoeBox::checkPositionValues | ( |  | ) |
| private

Definition at line 132 of file ShoeBox.cpp.

References mListenerPosition, mRoomSize, mSource, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

Referenced by setListenerLocation(), setRoomSize(), and setSourceLocation().

## Member Data Documentation

CPoint csl::ShoeBox::mRoomSize
| private

Definition at line 48 of file ShoeBox.h.

Referenced by calculateReflections(), checkPositionValues(), findNumReflectionsFromTime(), roomSize(), and setRoomSize().

CPoint csl::ShoeBox::mSource
| private

Definition at line 48 of file ShoeBox.h.

Referenced by calculateReflections(), checkPositionValues(), setSourceLocation(), and source().

CPoint csl::ShoeBox::mListenerPosition
| private

Definition at line 48 of file ShoeBox.h.

Referenced by calculateReflections(), checkPositionValues(), listener(), and setListenerLocation().

float csl::ShoeBox::mDampX
| private

Definition at line 49 of file ShoeBox.h.

Referenced by calculateReflections(), setWallMaterialsDamp(), and ShoeBox().

float csl::ShoeBox::mDampY
| private

Definition at line 49 of file ShoeBox.h.

Referenced by calculateReflections(), setWallMaterialsDamp(), and ShoeBox().

float csl::ShoeBox::mDampZ
| private

Definition at line 49 of file ShoeBox.h.

Referenced by calculateReflections(), setWallMaterialsDamp(), and ShoeBox().

float* csl::ShoeBox::mReflectionsArray
| private

Definition at line 50 of file ShoeBox.h.

Referenced by calculateReflections(), findNumReflectionsFromTime(), getReflections(), and shellSort().

float * csl::ShoeBox::mGainsArray
| private

Definition at line 50 of file ShoeBox.h.

Referenced by calculateReflections(), findNumReflectionsFromTime(), getReflections(), and shellSort().

float * csl::ShoeBox::mAnglesArray
| private

Definition at line 50 of file ShoeBox.h.

Referenced by calculateReflections(), findNumReflectionsFromTime(), getReflections(), and shellSort().

int csl::ShoeBox::mDuration
| private

Definition at line 51 of file ShoeBox.h.

Referenced by findNumReflectionsFromTime(), setDuration(), and ShoeBox().

int csl::ShoeBox::mNumReflections
| private

Definition at line 51 of file ShoeBox.h.

Referenced by calculateReflections(), findNumReflectionsFromTime(), and shellSort().

int csl::ShoeBox::mMaxBouncesX
| private

Definition at line 51 of file ShoeBox.h.

Referenced by calculateReflections(), and findNumReflectionsFromTime().

int csl::ShoeBox::mMaxBouncesY
| private

Definition at line 51 of file ShoeBox.h.

Referenced by calculateReflections(), and findNumReflectionsFromTime().

int csl::ShoeBox::mMaxBouncesZ
| private

Definition at line 51 of file ShoeBox.h.

Referenced by calculateReflections(), and findNumReflectionsFromTime().

The documentation for this class was generated from the following files:

- CSL/Spatializers/RoomAcoustics/ShoeBox.h
- CSL/Spatializers/RoomAcoustics/ShoeBox.cpp